# swagger_client

SwaggerClient - the Ruby gem for the MINDBODY Public API

No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: v6
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build swagger_client.gemspec
```

Then either install the gem locally:

```shell
gem install ./swagger_client-1.0.0.gem
```
(for development, run `gem install --dev ./swagger_client-1.0.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'swagger_client', '~> 1.0.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'swagger_client', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'swagger_client'

api_instance = SwaggerClient::AppointmentApi.new

request = SwaggerClient::AddAppointmentRequest.new # AddAppointmentRequest | 

site_id = 'site_id_example' # String | ID of the site from which to pull data.

version = 'version_example' # String | 

opts = { 
  authorization: '' # String | A staff user authorization token.
}

begin
  #Book a new appointment.
  result = api_instance.appointment_add_apppointment(request, site_id, version, opts)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling AppointmentApi->appointment_add_apppointment: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://api.mindbodyonline.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*SwaggerClient::AppointmentApi* | [**appointment_add_apppointment**](docs/AppointmentApi.md#appointment_add_apppointment) | **POST** /public/v{version}/appointment/addappointment | Book a new appointment.
*SwaggerClient::AppointmentApi* | [**appointment_get_active_session_times**](docs/AppointmentApi.md#appointment_get_active_session_times) | **GET** /public/v{version}/appointment/activesessiontimes | Get active session times.
*SwaggerClient::AppointmentApi* | [**appointment_get_appointment_options**](docs/AppointmentApi.md#appointment_get_appointment_options) | **GET** /public/v{version}/appointment/appointmentoptions | Get appointment-related settings.
*SwaggerClient::AppointmentApi* | [**appointment_get_bookable_items**](docs/AppointmentApi.md#appointment_get_bookable_items) | **GET** /public/v{version}/appointment/bookableitems | Get staff appointment availability.
*SwaggerClient::AppointmentApi* | [**appointment_get_schedule_items**](docs/AppointmentApi.md#appointment_get_schedule_items) | **GET** /public/v{version}/appointment/scheduleitems | Get appointment schedule.
*SwaggerClient::AppointmentApi* | [**appointment_get_staff_appointments**](docs/AppointmentApi.md#appointment_get_staff_appointments) | **GET** /public/v{version}/appointment/staffappointments | Get appointments grouped by staff member.
*SwaggerClient::AppointmentApi* | [**appointment_update_apppointment**](docs/AppointmentApi.md#appointment_update_apppointment) | **POST** /public/v{version}/appointment/updateappointment | Update an existing appointment.
*SwaggerClient::ClassApi* | [**class_add_client_to_class**](docs/ClassApi.md#class_add_client_to_class) | **POST** /public/v{version}/class/addclienttoclass | Book a client into a class.
*SwaggerClient::ClassApi* | [**class_get_class_descriptions**](docs/ClassApi.md#class_get_class_descriptions) | **GET** /public/v{version}/class/classdescriptions | Get class descriptions.
*SwaggerClient::ClassApi* | [**class_get_class_schedules**](docs/ClassApi.md#class_get_class_schedules) | **GET** /public/v{version}/class/classschedules | Get class schedules.
*SwaggerClient::ClassApi* | [**class_get_class_visits**](docs/ClassApi.md#class_get_class_visits) | **GET** /public/v{version}/class/classvisits | Get information about clients booked in a class.
*SwaggerClient::ClassApi* | [**class_get_classes**](docs/ClassApi.md#class_get_classes) | **GET** /public/v{version}/class/classes | Get scheduled classes.
*SwaggerClient::ClassApi* | [**class_get_waitlist_entries**](docs/ClassApi.md#class_get_waitlist_entries) | **GET** /public/v{version}/class/waitlistentries | Get waiting list entries.
*SwaggerClient::ClassApi* | [**class_remove_client_from_class**](docs/ClassApi.md#class_remove_client_from_class) | **POST** /public/v{version}/class/removeclientfromclass | Remove a client from a class.
*SwaggerClient::ClassApi* | [**class_remove_from_waitlist**](docs/ClassApi.md#class_remove_from_waitlist) | **POST** /public/v{version}/class/removefromwaitlist | Remove a client from a waiting list.
*SwaggerClient::ClassApi* | [**class_substitute_class_teacher**](docs/ClassApi.md#class_substitute_class_teacher) | **POST** /public/v{version}/class/substituteclassteacher | Substitute a class teacher.
*SwaggerClient::ClientApi* | [**client_add_arrival**](docs/ClientApi.md#client_add_arrival) | **POST** /public/v{version}/client/addarrival | Add an arrival for a client.
*SwaggerClient::ClientApi* | [**client_add_client**](docs/ClientApi.md#client_add_client) | **POST** /public/v{version}/client/addclient | Add a client to a site.
*SwaggerClient::ClientApi* | [**client_add_contact_log**](docs/ClientApi.md#client_add_contact_log) | **POST** /public/v{version}/client/addcontactlog | Add a contact log to a client's account.
*SwaggerClient::ClientApi* | [**client_get_active_client_memberships**](docs/ClientApi.md#client_get_active_client_memberships) | **GET** /public/v{version}/client/activeclientmemberships | Get a client's active memberships.
*SwaggerClient::ClientApi* | [**client_get_client_account_balances**](docs/ClientApi.md#client_get_client_account_balances) | **GET** /public/v{version}/client/clientaccountbalances | Get account balance information for one or more client(s).
*SwaggerClient::ClientApi* | [**client_get_client_contracts**](docs/ClientApi.md#client_get_client_contracts) | **GET** /public/v{version}/client/clientcontracts | Get contracts that a client has purchased.
*SwaggerClient::ClientApi* | [**client_get_client_formula_notes**](docs/ClientApi.md#client_get_client_formula_notes) | **GET** /public/v{version}/client/clientformulanotes | Get a client's formula notes.
*SwaggerClient::ClientApi* | [**client_get_client_indexes**](docs/ClientApi.md#client_get_client_indexes) | **GET** /public/v{version}/client/clientindexes | Get a site's configured client indexes and client index values.
*SwaggerClient::ClientApi* | [**client_get_client_purchases**](docs/ClientApi.md#client_get_client_purchases) | **GET** /public/v{version}/client/clientpurchases | Get a client's purchase history.
*SwaggerClient::ClientApi* | [**client_get_client_referral_types**](docs/ClientApi.md#client_get_client_referral_types) | **GET** /public/v{version}/client/clientreferraltypes | Get a site's configured client referral types.
*SwaggerClient::ClientApi* | [**client_get_client_services**](docs/ClientApi.md#client_get_client_services) | **GET** /public/v{version}/client/clientservices | Get pricing options that a client has purchased.
*SwaggerClient::ClientApi* | [**client_get_client_visits**](docs/ClientApi.md#client_get_client_visits) | **GET** /public/v{version}/client/clientvisits | Get a client's visit history.
*SwaggerClient::ClientApi* | [**client_get_clients**](docs/ClientApi.md#client_get_clients) | **GET** /public/v{version}/client/clients | Get clients.
*SwaggerClient::ClientApi* | [**client_get_contact_logs**](docs/ClientApi.md#client_get_contact_logs) | **GET** /public/v{version}/client/contactlogs | Get contact logs on a client's account.
*SwaggerClient::ClientApi* | [**client_get_cross_regional_client_associations**](docs/ClientApi.md#client_get_cross_regional_client_associations) | **GET** /public/v{version}/client/crossregionalclientassociations | Get a client's cross regional site associations.
*SwaggerClient::ClientApi* | [**client_get_custom_client_fields**](docs/ClientApi.md#client_get_custom_client_fields) | **GET** /public/v{version}/client/customclientfields | Get a site's configured custom client fields.
*SwaggerClient::ClientApi* | [**client_get_required_client_fields**](docs/ClientApi.md#client_get_required_client_fields) | **GET** /public/v{version}/client/requiredclientfields | Get client required fields for a site.
*SwaggerClient::ClientApi* | [**client_send_password_reset_email**](docs/ClientApi.md#client_send_password_reset_email) | **POST** /public/v{version}/client/sendpasswordresetemail | Send a password reset email to a client.
*SwaggerClient::ClientApi* | [**client_update_client**](docs/ClientApi.md#client_update_client) | **POST** /public/v{version}/client/updateclient | Update a client at a site.
*SwaggerClient::ClientApi* | [**client_update_client_service**](docs/ClientApi.md#client_update_client_service) | **POST** /public/v{version}/client/updateclientservice | Update a client's purchase pricing option.
*SwaggerClient::ClientApi* | [**client_update_client_visit**](docs/ClientApi.md#client_update_client_visit) | **POST** /public/v{version}/client/updateclientvisit | Update a client's visit.
*SwaggerClient::ClientApi* | [**client_update_contact_log**](docs/ClientApi.md#client_update_contact_log) | **POST** /public/v{version}/client/updatecontactlog | Update a contact log on a client's account.
*SwaggerClient::ClientApi* | [**client_upload_client_document**](docs/ClientApi.md#client_upload_client_document) | **POST** /public/v{version}/client/uploadclientdocument | Upload a document to a client's profile.
*SwaggerClient::ClientApi* | [**client_upload_client_photo**](docs/ClientApi.md#client_upload_client_photo) | **POST** /public/v{version}/client/uploadclientphoto | Upload a profile photo to a client's profile.
*SwaggerClient::EnrollmentApi* | [**enrollment_add_client_to_enrollment**](docs/EnrollmentApi.md#enrollment_add_client_to_enrollment) | **POST** /public/v{version}/enrollment/addclienttoenrollment | Book a client into an enrollment.
*SwaggerClient::EnrollmentApi* | [**enrollment_get_enrollments**](docs/EnrollmentApi.md#enrollment_get_enrollments) | **GET** /public/v{version}/enrollment/enrollments | Get enrollments scheduled at a site.
*SwaggerClient::PayrollApi* | [**payroll_get_class_payroll**](docs/PayrollApi.md#payroll_get_class_payroll) | **GET** /public/v{version}/payroll/classes | Get class payroll for staff members.
*SwaggerClient::PayrollApi* | [**payroll_get_time_clock**](docs/PayrollApi.md#payroll_get_time_clock) | **GET** /public/v{version}/payroll/timeclock | Get time card payroll for staff members.
*SwaggerClient::SaleApi* | [**sale_checkout_shopping_cart**](docs/SaleApi.md#sale_checkout_shopping_cart) | **POST** /public/v{version}/sale/checkoutshoppingcart | Purchase pricing options, packages, retail products, or tips for a client.
*SwaggerClient::SaleApi* | [**sale_get_accepted_card_types**](docs/SaleApi.md#sale_get_accepted_card_types) | **GET** /public/v{version}/sale/acceptedcardtypes | Get credit cards types that a site accepts.
*SwaggerClient::SaleApi* | [**sale_get_contracts**](docs/SaleApi.md#sale_get_contracts) | **GET** /public/v{version}/sale/contracts | Get contracts available for purchase at a site.
*SwaggerClient::SaleApi* | [**sale_get_custom_payment_methods**](docs/SaleApi.md#sale_get_custom_payment_methods) | **GET** /public/v{version}/sale/custompaymentmethods | Get payment methods that can be used to pay for sales at a site.
*SwaggerClient::SaleApi* | [**sale_get_gift_cards**](docs/SaleApi.md#sale_get_gift_cards) | **GET** /public/v{version}/sale/giftcards | Get gift cards available for purchase at a site.
*SwaggerClient::SaleApi* | [**sale_get_packages**](docs/SaleApi.md#sale_get_packages) | **GET** /public/v{version}/sale/packages | Get packages available for purchase at a site.
*SwaggerClient::SaleApi* | [**sale_get_products**](docs/SaleApi.md#sale_get_products) | **GET** /public/v{version}/sale/products | Get retail products available for purchase at a site.
*SwaggerClient::SaleApi* | [**sale_get_sales**](docs/SaleApi.md#sale_get_sales) | **GET** /public/v{version}/sale/sales | Get sales completed at a site.
*SwaggerClient::SaleApi* | [**sale_get_services**](docs/SaleApi.md#sale_get_services) | **GET** /public/v{version}/sale/services | Get pricing options available for purchase at a site
*SwaggerClient::SaleApi* | [**sale_purchase_contract**](docs/SaleApi.md#sale_purchase_contract) | **POST** /public/v{version}/sale/purchasecontract | Purchase a contract for a client.
*SwaggerClient::SaleApi* | [**sale_purchase_gift_card**](docs/SaleApi.md#sale_purchase_gift_card) | **POST** /public/v{version}/sale/purchasegiftcard | Purchase a gift card for a client.
*SwaggerClient::SiteApi* | [**site_get_activation_code**](docs/SiteApi.md#site_get_activation_code) | **GET** /public/v{version}/site/activationcode | Get an activation code for a site.
*SwaggerClient::SiteApi* | [**site_get_locations**](docs/SiteApi.md#site_get_locations) | **GET** /public/v{version}/site/locations | Get locations for a site.
*SwaggerClient::SiteApi* | [**site_get_programs**](docs/SiteApi.md#site_get_programs) | **GET** /public/v{version}/site/programs | Get service categories offered at a site.
*SwaggerClient::SiteApi* | [**site_get_resources**](docs/SiteApi.md#site_get_resources) | **GET** /public/v{version}/site/resources | Get resources used at a site.
*SwaggerClient::SiteApi* | [**site_get_session_types**](docs/SiteApi.md#site_get_session_types) | **GET** /public/v{version}/site/sessiontypes | Get the session types used at a site.
*SwaggerClient::SiteApi* | [**site_get_sites**](docs/SiteApi.md#site_get_sites) | **GET** /public/v{version}/site/sites | Get all sites that can be accessed by an API Key.
*SwaggerClient::StaffApi* | [**staff_get_staff**](docs/StaffApi.md#staff_get_staff) | **GET** /public/v{version}/staff/staff | Get staff members at a site.
*SwaggerClient::StaffApi* | [**staff_get_staff_permissions**](docs/StaffApi.md#staff_get_staff_permissions) | **GET** /public/v{version}/staff/staffpermissions | Get configured staff permissions for a staff member.
*SwaggerClient::UserTokenApi* | [**user_token_issue**](docs/UserTokenApi.md#user_token_issue) | **POST** /public/v{version}/usertoken/issue | Get a staff user token.
*SwaggerClient::UserTokenApi* | [**user_token_revoke**](docs/UserTokenApi.md#user_token_revoke) | **DELETE** /public/v{version}/usertoken/revoke | Revoke a user token.


## Documentation for Models

 - [SwaggerClient::AddAppointmentRequest](docs/AddAppointmentRequest.md)
 - [SwaggerClient::AddAppointmentResponse](docs/AddAppointmentResponse.md)
 - [SwaggerClient::AddArrivalRequest](docs/AddArrivalRequest.md)
 - [SwaggerClient::AddArrivalResponse](docs/AddArrivalResponse.md)
 - [SwaggerClient::AddClientRequest](docs/AddClientRequest.md)
 - [SwaggerClient::AddClientResponse](docs/AddClientResponse.md)
 - [SwaggerClient::AddClientToClassRequest](docs/AddClientToClassRequest.md)
 - [SwaggerClient::AddClientToClassResponse](docs/AddClientToClassResponse.md)
 - [SwaggerClient::AddClientToClassVisit](docs/AddClientToClassVisit.md)
 - [SwaggerClient::AddClientToEnrollmentRequest](docs/AddClientToEnrollmentRequest.md)
 - [SwaggerClient::AddContactLogRequest](docs/AddContactLogRequest.md)
 - [SwaggerClient::AddContactLogType](docs/AddContactLogType.md)
 - [SwaggerClient::Amenity](docs/Amenity.md)
 - [SwaggerClient::Appointment](docs/Appointment.md)
 - [SwaggerClient::AppointmentOption](docs/AppointmentOption.md)
 - [SwaggerClient::AssignedClientIndex](docs/AssignedClientIndex.md)
 - [SwaggerClient::AutopaySchedule](docs/AutopaySchedule.md)
 - [SwaggerClient::Availability](docs/Availability.md)
 - [SwaggerClient::BookingWindow](docs/BookingWindow.md)
 - [SwaggerClient::CheckoutAppointmentBookingRequest](docs/CheckoutAppointmentBookingRequest.md)
 - [SwaggerClient::CheckoutItem](docs/CheckoutItem.md)
 - [SwaggerClient::CheckoutItemWrapper](docs/CheckoutItemWrapper.md)
 - [SwaggerClient::CheckoutPaymentInfo](docs/CheckoutPaymentInfo.md)
 - [SwaggerClient::CheckoutShoppingCartRequest](docs/CheckoutShoppingCartRequest.md)
 - [SwaggerClient::ClassDescription](docs/ClassDescription.md)
 - [SwaggerClient::ClassPayrollEvent](docs/ClassPayrollEvent.md)
 - [SwaggerClient::ClassSchedule](docs/ClassSchedule.md)
 - [SwaggerClient::Client](docs/Client.md)
 - [SwaggerClient::ClientContract](docs/ClientContract.md)
 - [SwaggerClient::ClientCreditCard](docs/ClientCreditCard.md)
 - [SwaggerClient::ClientDocument](docs/ClientDocument.md)
 - [SwaggerClient::ClientIndex](docs/ClientIndex.md)
 - [SwaggerClient::ClientIndexValue](docs/ClientIndexValue.md)
 - [SwaggerClient::ClientMembership](docs/ClientMembership.md)
 - [SwaggerClient::ClientPurchaseRecord](docs/ClientPurchaseRecord.md)
 - [SwaggerClient::ClientRelationship](docs/ClientRelationship.md)
 - [SwaggerClient::ClientService](docs/ClientService.md)
 - [SwaggerClient::Color](docs/Color.md)
 - [SwaggerClient::ContactLog](docs/ContactLog.md)
 - [SwaggerClient::ContactLogComment](docs/ContactLogComment.md)
 - [SwaggerClient::ContactLogSubType](docs/ContactLogSubType.md)
 - [SwaggerClient::ContactLogType](docs/ContactLogType.md)
 - [SwaggerClient::Contract](docs/Contract.md)
 - [SwaggerClient::ContractItem](docs/ContractItem.md)
 - [SwaggerClient::Course](docs/Course.md)
 - [SwaggerClient::CreditCardInfo](docs/CreditCardInfo.md)
 - [SwaggerClient::CrossRegionalClientAssociation](docs/CrossRegionalClientAssociation.md)
 - [SwaggerClient::CustomClientField](docs/CustomClientField.md)
 - [SwaggerClient::CustomClientFieldValue](docs/CustomClientFieldValue.md)
 - [SwaggerClient::CustomPaymentMethod](docs/CustomPaymentMethod.md)
 - [SwaggerClient::FormulaNote](docs/FormulaNote.md)
 - [SwaggerClient::GetActivationCodeResponse](docs/GetActivationCodeResponse.md)
 - [SwaggerClient::GetActiveClientMembershipsRequest](docs/GetActiveClientMembershipsRequest.md)
 - [SwaggerClient::GetActiveClientMembershipsResponse](docs/GetActiveClientMembershipsResponse.md)
 - [SwaggerClient::GetActiveSessionTimesRequest](docs/GetActiveSessionTimesRequest.md)
 - [SwaggerClient::GetActiveSessionTimesResponse](docs/GetActiveSessionTimesResponse.md)
 - [SwaggerClient::GetAppointmentOptionsResponse](docs/GetAppointmentOptionsResponse.md)
 - [SwaggerClient::GetBookableItemsRequest](docs/GetBookableItemsRequest.md)
 - [SwaggerClient::GetBookableItemsResponse](docs/GetBookableItemsResponse.md)
 - [SwaggerClient::GetClassDescriptionsRequest](docs/GetClassDescriptionsRequest.md)
 - [SwaggerClient::GetClassDescriptionsResponse](docs/GetClassDescriptionsResponse.md)
 - [SwaggerClient::GetClassPayrollRequest](docs/GetClassPayrollRequest.md)
 - [SwaggerClient::GetClassPayrollResponse](docs/GetClassPayrollResponse.md)
 - [SwaggerClient::GetClassSchedulesRequest](docs/GetClassSchedulesRequest.md)
 - [SwaggerClient::GetClassSchedulesResponse](docs/GetClassSchedulesResponse.md)
 - [SwaggerClient::GetClassVisitsRequest](docs/GetClassVisitsRequest.md)
 - [SwaggerClient::GetClassVisitsResponse](docs/GetClassVisitsResponse.md)
 - [SwaggerClient::GetClassesRequest](docs/GetClassesRequest.md)
 - [SwaggerClient::GetClassesResponse](docs/GetClassesResponse.md)
 - [SwaggerClient::GetClientAccountBalancesRequest](docs/GetClientAccountBalancesRequest.md)
 - [SwaggerClient::GetClientAccountBalancesResponse](docs/GetClientAccountBalancesResponse.md)
 - [SwaggerClient::GetClientContractsRequest](docs/GetClientContractsRequest.md)
 - [SwaggerClient::GetClientContractsResponse](docs/GetClientContractsResponse.md)
 - [SwaggerClient::GetClientFormulaNotesRequest](docs/GetClientFormulaNotesRequest.md)
 - [SwaggerClient::GetClientFormulaNotesResponse](docs/GetClientFormulaNotesResponse.md)
 - [SwaggerClient::GetClientIndexesRequest](docs/GetClientIndexesRequest.md)
 - [SwaggerClient::GetClientIndexesResponse](docs/GetClientIndexesResponse.md)
 - [SwaggerClient::GetClientPurchasesRequest](docs/GetClientPurchasesRequest.md)
 - [SwaggerClient::GetClientPurchasesResponse](docs/GetClientPurchasesResponse.md)
 - [SwaggerClient::GetClientReferralTypesRequest](docs/GetClientReferralTypesRequest.md)
 - [SwaggerClient::GetClientReferralTypesResponse](docs/GetClientReferralTypesResponse.md)
 - [SwaggerClient::GetClientServicesRequest](docs/GetClientServicesRequest.md)
 - [SwaggerClient::GetClientServicesResponse](docs/GetClientServicesResponse.md)
 - [SwaggerClient::GetClientVisitsRequest](docs/GetClientVisitsRequest.md)
 - [SwaggerClient::GetClientVisitsResponse](docs/GetClientVisitsResponse.md)
 - [SwaggerClient::GetClientsRequest](docs/GetClientsRequest.md)
 - [SwaggerClient::GetClientsResponse](docs/GetClientsResponse.md)
 - [SwaggerClient::GetContactLogsRequest](docs/GetContactLogsRequest.md)
 - [SwaggerClient::GetContactLogsResponse](docs/GetContactLogsResponse.md)
 - [SwaggerClient::GetContractsRequest](docs/GetContractsRequest.md)
 - [SwaggerClient::GetContractsResponse](docs/GetContractsResponse.md)
 - [SwaggerClient::GetCrossRegionalClientAssociationsRequest](docs/GetCrossRegionalClientAssociationsRequest.md)
 - [SwaggerClient::GetCrossRegionalClientAssociationsResponse](docs/GetCrossRegionalClientAssociationsResponse.md)
 - [SwaggerClient::GetCustomClientFieldsRequest](docs/GetCustomClientFieldsRequest.md)
 - [SwaggerClient::GetCustomClientFieldsResponse](docs/GetCustomClientFieldsResponse.md)
 - [SwaggerClient::GetCustomPaymentMethodsRequest](docs/GetCustomPaymentMethodsRequest.md)
 - [SwaggerClient::GetCustomPaymentMethodsResponse](docs/GetCustomPaymentMethodsResponse.md)
 - [SwaggerClient::GetEnrollmentsRequest](docs/GetEnrollmentsRequest.md)
 - [SwaggerClient::GetEnrollmentsResponse](docs/GetEnrollmentsResponse.md)
 - [SwaggerClient::GetGiftCardResponse](docs/GetGiftCardResponse.md)
 - [SwaggerClient::GetGiftCardsRequest](docs/GetGiftCardsRequest.md)
 - [SwaggerClient::GetLocationsRequest](docs/GetLocationsRequest.md)
 - [SwaggerClient::GetLocationsResponse](docs/GetLocationsResponse.md)
 - [SwaggerClient::GetPackagesRequest](docs/GetPackagesRequest.md)
 - [SwaggerClient::GetPackagesResponse](docs/GetPackagesResponse.md)
 - [SwaggerClient::GetProductsRequest](docs/GetProductsRequest.md)
 - [SwaggerClient::GetProductsResponse](docs/GetProductsResponse.md)
 - [SwaggerClient::GetProgramsRequest](docs/GetProgramsRequest.md)
 - [SwaggerClient::GetProgramsResponse](docs/GetProgramsResponse.md)
 - [SwaggerClient::GetRequiredClientFieldsResponse](docs/GetRequiredClientFieldsResponse.md)
 - [SwaggerClient::GetResourcesRequest](docs/GetResourcesRequest.md)
 - [SwaggerClient::GetResourcesResponse](docs/GetResourcesResponse.md)
 - [SwaggerClient::GetSalesRequest](docs/GetSalesRequest.md)
 - [SwaggerClient::GetSalesResponse](docs/GetSalesResponse.md)
 - [SwaggerClient::GetScheduleItemsRequest](docs/GetScheduleItemsRequest.md)
 - [SwaggerClient::GetScheduleItemsResponse](docs/GetScheduleItemsResponse.md)
 - [SwaggerClient::GetServicesRequest](docs/GetServicesRequest.md)
 - [SwaggerClient::GetServicesResponse](docs/GetServicesResponse.md)
 - [SwaggerClient::GetSessionTypesRequest](docs/GetSessionTypesRequest.md)
 - [SwaggerClient::GetSessionTypesResponse](docs/GetSessionTypesResponse.md)
 - [SwaggerClient::GetSitesRequest](docs/GetSitesRequest.md)
 - [SwaggerClient::GetSitesResponse](docs/GetSitesResponse.md)
 - [SwaggerClient::GetStaffAppointmentsRequest](docs/GetStaffAppointmentsRequest.md)
 - [SwaggerClient::GetStaffAppointmentsResponse](docs/GetStaffAppointmentsResponse.md)
 - [SwaggerClient::GetStaffPermissionsRequest](docs/GetStaffPermissionsRequest.md)
 - [SwaggerClient::GetStaffPermissionsResponse](docs/GetStaffPermissionsResponse.md)
 - [SwaggerClient::GetStaffRequest](docs/GetStaffRequest.md)
 - [SwaggerClient::GetStaffResponse](docs/GetStaffResponse.md)
 - [SwaggerClient::GetTimeClockRequest](docs/GetTimeClockRequest.md)
 - [SwaggerClient::GetTimeClockResponse](docs/GetTimeClockResponse.md)
 - [SwaggerClient::GetWaitlistEntriesRequest](docs/GetWaitlistEntriesRequest.md)
 - [SwaggerClient::GetWaitlistEntriesResponse](docs/GetWaitlistEntriesResponse.md)
 - [SwaggerClient::GiftCard](docs/GiftCard.md)
 - [SwaggerClient::GiftCardLayout](docs/GiftCardLayout.md)
 - [SwaggerClient::IssueRequest](docs/IssueRequest.md)
 - [SwaggerClient::IssueResponse](docs/IssueResponse.md)
 - [SwaggerClient::Level](docs/Level.md)
 - [SwaggerClient::Liability](docs/Liability.md)
 - [SwaggerClient::Location](docs/Location.md)
 - [SwaggerClient::MembershipTypeRestriction](docs/MembershipTypeRestriction.md)
 - [SwaggerClient::ModelClass](docs/ModelClass.md)
 - [SwaggerClient::Package](docs/Package.md)
 - [SwaggerClient::PaginationResponse](docs/PaginationResponse.md)
 - [SwaggerClient::Product](docs/Product.md)
 - [SwaggerClient::Program](docs/Program.md)
 - [SwaggerClient::ProspectStage](docs/ProspectStage.md)
 - [SwaggerClient::PurchaseContractRequest](docs/PurchaseContractRequest.md)
 - [SwaggerClient::PurchaseContractResponse](docs/PurchaseContractResponse.md)
 - [SwaggerClient::PurchaseGiftCardRequest](docs/PurchaseGiftCardRequest.md)
 - [SwaggerClient::PurchaseGiftCardResponse](docs/PurchaseGiftCardResponse.md)
 - [SwaggerClient::PurchasedItem](docs/PurchasedItem.md)
 - [SwaggerClient::Relationship](docs/Relationship.md)
 - [SwaggerClient::RemoveClientFromClassRequest](docs/RemoveClientFromClassRequest.md)
 - [SwaggerClient::RemoveClientFromClassResponse](docs/RemoveClientFromClassResponse.md)
 - [SwaggerClient::RemoveFromWaitlistRequest](docs/RemoveFromWaitlistRequest.md)
 - [SwaggerClient::RemoveFromWaitlistResponse](docs/RemoveFromWaitlistResponse.md)
 - [SwaggerClient::Resource](docs/Resource.md)
 - [SwaggerClient::Sale](docs/Sale.md)
 - [SwaggerClient::SalePayment](docs/SalePayment.md)
 - [SwaggerClient::SalesRep](docs/SalesRep.md)
 - [SwaggerClient::SendPasswordResetEmailRequest](docs/SendPasswordResetEmailRequest.md)
 - [SwaggerClient::Service](docs/Service.md)
 - [SwaggerClient::SessionType](docs/SessionType.md)
 - [SwaggerClient::Site](docs/Site.md)
 - [SwaggerClient::Size](docs/Size.md)
 - [SwaggerClient::Staff](docs/Staff.md)
 - [SwaggerClient::StaffPermissionGroup](docs/StaffPermissionGroup.md)
 - [SwaggerClient::StoredCardInfo](docs/StoredCardInfo.md)
 - [SwaggerClient::SubstituteClassTeacherRequest](docs/SubstituteClassTeacherRequest.md)
 - [SwaggerClient::SubstituteClassTeacherResponse](docs/SubstituteClassTeacherResponse.md)
 - [SwaggerClient::SubstituteTeacherClass](docs/SubstituteTeacherClass.md)
 - [SwaggerClient::TimeCardEvent](docs/TimeCardEvent.md)
 - [SwaggerClient::TimeClockReport](docs/TimeClockReport.md)
 - [SwaggerClient::Unavailability](docs/Unavailability.md)
 - [SwaggerClient::UpcomingAutopayEvent](docs/UpcomingAutopayEvent.md)
 - [SwaggerClient::UpdateAppointmentRequest](docs/UpdateAppointmentRequest.md)
 - [SwaggerClient::UpdateAppointmentResponse](docs/UpdateAppointmentResponse.md)
 - [SwaggerClient::UpdateClientRequest](docs/UpdateClientRequest.md)
 - [SwaggerClient::UpdateClientResponse](docs/UpdateClientResponse.md)
 - [SwaggerClient::UpdateClientServiceRequest](docs/UpdateClientServiceRequest.md)
 - [SwaggerClient::UpdateClientServiceResponse](docs/UpdateClientServiceResponse.md)
 - [SwaggerClient::UpdateClientVisitRequest](docs/UpdateClientVisitRequest.md)
 - [SwaggerClient::UpdateClientVisitResponse](docs/UpdateClientVisitResponse.md)
 - [SwaggerClient::UpdateContactLogComment](docs/UpdateContactLogComment.md)
 - [SwaggerClient::UpdateContactLogRequest](docs/UpdateContactLogRequest.md)
 - [SwaggerClient::UpdateContactLogType](docs/UpdateContactLogType.md)
 - [SwaggerClient::UploadClientDocumentRequest](docs/UploadClientDocumentRequest.md)
 - [SwaggerClient::UploadClientDocumentResponse](docs/UploadClientDocumentResponse.md)
 - [SwaggerClient::UploadClientPhotoRequest](docs/UploadClientPhotoRequest.md)
 - [SwaggerClient::UploadClientPhotoResponse](docs/UploadClientPhotoResponse.md)
 - [SwaggerClient::User](docs/User.md)
 - [SwaggerClient::Visit](docs/Visit.md)
 - [SwaggerClient::WaitlistEntry](docs/WaitlistEntry.md)


## Documentation for Authorization


### API-Key

- **Type**: API key
- **API key parameter name**: API-Key
- **Location**: HTTP header

