# SwaggerClient::Client

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**appointment_gender_preference** | **String** | The gender of staff member with whom the client prefers to book appointments. | [optional] 
**birth_date** | **DateTime** | The client’s date of birth. | [optional] 
**country** | **String** | The client’s country. | [optional] 
**creation_date** | **DateTime** | The date the client’s profile was created and added to the business, either by the client from the online store, or by a staff member. This value always returns in the format &#x60;yyyy-mm-ddThh:mm:ss:ms&#x60;. | [optional] 
**custom_client_fields** | [**Array&lt;CustomClientFieldValue&gt;**](CustomClientFieldValue.md) | Contains information about the custom client fields assigned to the client. | [optional] 
**client_credit_card** | [**ClientCreditCard**](ClientCreditCard.md) | Contains information about the client’s credit card. | [optional] 
**client_indexes** | [**Array&lt;AssignedClientIndex&gt;**](AssignedClientIndex.md) | Contains the IDs of the client’s assigned ClientIndexes and ClientIndexValues. | [optional] 
**client_relationships** | [**Array&lt;ClientRelationship&gt;**](ClientRelationship.md) | Contains information about the relationship between two clients. | [optional] 
**first_appointment_date** | **DateTime** | The date of the client’s first booked appointment at the business. | [optional] 
**first_name** | **String** | The client’s first name. | [optional] 
**id** | **String** | The client’s ID, as configured by the business owner. This is the client’s barcode ID if the business owner assigns barcodes to clients. This ID is used throughout the Public API for client-related Public API calls. When used in a POST &#x60;UpdateClient&#x60; request, the &#x60;Id&#x60; is used to identify the client for the update. | [optional] 
**is_company** | **BOOLEAN** | When &#x60;true&#x60;, indicates that the client should be marked as a company at the business.&lt;br /&gt;  When &#x60;false&#x60;, indicates the client is an individual and does not represent a company. | [optional] 
**is_prospect** | **BOOLEAN** | This value is set only if the business owner allows individuals to be prospects.&lt;br /&gt;  When &#x60;true&#x60;, indicates that the client should be marked as a prospect for the business.&lt;br /&gt;  When &#x60;false&#x60;, indicates that the client should not be marked as a prospect for the business. | [optional] 
**last_name** | **String** | The client’s last name. | [optional] 
**liability** | [**Liability**](Liability.md) | Contains the client’s liability agreement information for the business. | [optional] 
**liability_release** | **BOOLEAN** | Passing &#x60;true&#x60; sets the client’s liability information as follows:  * &#x60;IsReleased&#x60; is set to &#x60;true&#x60;.  * &#x60;AgreementDate&#x60; is set to the time zone of the business when the call was processed.  * &#x60;ReleasedBy&#x60; is set to &#x60;null&#x60; if the call is made by the client, &#x60;0&#x60; if the call was made by the business owner, or to a specific staff member’s ID if a staff member made the call.  Passing &#x60;false&#x60; sets the client’s liability information as follows:  * &#x60;IsReleased&#x60; is set to &#x60;false&#x60;.  * &#x60;AgreementDate&#x60; is set to &#x60;null&#x60;.  * &#x60;ReleasedBy&#x60; is set to &#x60;null&#x60;. | [optional] 
**membership_icon** | **Integer** | The ID of the [membership icon](https://support.mindbodyonline.com/s/article/203259703-Membership-Setup-screen?language&#x3D;en_US) displayed next to the client’s name, if the client has a membership on their account. | [optional] 
**mobile_provider** | **Integer** | The client’s mobile provider. | [optional] 
**notes** | **String** | Any notes entered on the client’s account by staff members. This value should never be shown to clients unless the business owner has a specific reason for showing them. | [optional] 
**state** | **String** | The client’s state. | [optional] 
**unique_id** | **Integer** | The client’s system-generated ID at the business. This value cannot be changed by business owners and is always unique across all clients at the business. This ID is not widely used in the Public API, but can be used by your application to uniquely identify clients. | [optional] 
**last_modified_date_time** | **DateTime** | The UTC date and time when the client’s information was last modified. | [optional] 
**red_alert** | **String** | Contains any red alert information entered by the business owner for the client. | [optional] 
**yellow_alert** | **String** | Contains any yellow alert information entered by the business owner for the client. | [optional] 
**middle_name** | **String** | The client’s middle name. | [optional] 
**prospect_stage** | [**ProspectStage**](ProspectStage.md) | Contains information about the client [prospect stage](https://support.mindbodyonline.com/s/article/206176457-Prospect-Stages?language&#x3D;en_US). | [optional] 
**email** | **String** | The client’s email address. | [optional] 
**mobile_phone** | **String** | The client’s mobile phone number. | [optional] 
**home_phone** | **String** | The client’s home phone number. | [optional] 
**work_phone** | **String** | The client’s work phone number. | [optional] 
**account_balance** | **Float** | The client’s current [account balance](https://mindbody-online-support.force.com/support/s/article/203262013-Adding-account-payments-video-tutorial?language&#x3D;en_US). | [optional] 
**address_line1** | **String** | The first line of the client’s street address. | [optional] 
**address_line2** | **String** | The second line of the client’s street address, if needed. | [optional] 
**city** | **String** | The client’s city. | [optional] 
**postal_code** | **String** | The client’s postal code. | [optional] 
**work_extension** | **String** | The client’s work phone extension number. | [optional] 
**referred_by** | **String** | Specifies how the client was referred to the business. You can get a list of possible strings using the &#x60;GetClientReferralTypes&#x60; endpoint. | [optional] 
**photo_url** | **String** | The URL of the client’s photo for the client profile. | [optional] 
**emergency_contact_info_name** | **String** | The name of the client’s emergency contact. | [optional] 
**emergency_contact_info_email** | **String** | The email address of the client’s emergency contact. | [optional] 
**emergency_contact_info_phone** | **String** | The phone number of the client’s emergency contact. | [optional] 
**emergency_contact_info_relationship** | **String** | The client’s relationship with the emergency contact. | [optional] 
**gender** | **String** | The gender of the client. | [optional] 
**last_formula_notes** | **String** | The last [formula note](https://support.mindbodyonline.com/s/article/203259903-Appointments-Formula-notes?language&#x3D;en_US) entered for the client. | [optional] 
**active** | **BOOLEAN** | When &#x60;true&#x60;, indicates that the client’s profile is marked as active on the site.&lt;br /&gt;  When &#x60;false&#x60;, the client’s profile is inactive. | [optional] 
**sales_reps** | [**Array&lt;SalesRep&gt;**](SalesRep.md) | A list of sales representatives. | [optional] 
**status** | **String** | The status of the client in the business. Possible values are:  * Declined  * Non-Member  * Active  * Expired  * Suspended  * Terminated | [optional] 
**action** | **String** | The action taken. | [optional] 
**send_account_emails** | **BOOLEAN** | When &#x60;true&#x60;, indicates that the client has opted to receive general account notifications by email. This property is editable.   &lt;br /&gt;Default: **false** | [optional] 
**send_account_texts** | **BOOLEAN** | When &#x60;true&#x60;, indicates that the client has opted to receive general account notifications by text message. This parameter cannot be updated by developers. If included in a request, it is ignored. | [optional] 
**send_promotional_emails** | **BOOLEAN** | When &#x60;true&#x60;, indicates that the client has opted to receive promotional notifications by email. This property is editable.   &lt;br /&gt;Default: **false** | [optional] 
**send_promotional_texts** | **BOOLEAN** | When &#x60;true&#x60;, indicates that the client has opted to receive promotional notifications by text message. This parameter cannot be updated by developers. If included in a request, it is ignored. | [optional] 
**send_schedule_emails** | **BOOLEAN** | When &#x60;true&#x60;, indicates that the client has opted to receive schedule notifications by email. This property is editable.   &lt;br /&gt;Default: **false** | [optional] 
**send_schedule_texts** | **BOOLEAN** | When &#x60;true&#x60;, indicates that the client has opted to receive schedule notifications by text message. This parameter cannot be updated by developers. If included in a request, it is ignored. | [optional] 


