=begin
#MINDBODY Public API

#No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

OpenAPI spec version: v6

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.6

=end

require 'spec_helper'
require 'json'

# Unit tests for SwaggerClient::AppointmentApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'AppointmentApi' do
  before do
    # run before each test
    @instance = SwaggerClient::AppointmentApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of AppointmentApi' do
    it 'should create an instance of AppointmentApi' do
      expect(@instance).to be_instance_of(SwaggerClient::AppointmentApi)
    end
  end

  # unit tests for appointment_add_apppointment
  # Book a new appointment.
  # To book an appointment, you must use a location ID, staff ID, client ID, session type ID, and the &#x60;StartDateTime&#x60; of the appointment. You can get most of this information using &#x60;GET BookableItems&#x60;.
  # @param request 
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @return [AddAppointmentResponse]
  describe 'appointment_add_apppointment test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for appointment_get_active_session_times
  # Get active session times.
  # Returns a list of the times that can be booked for a given program schedule type. &#x60;ActiveSessionTimes&#x60; represent the scheduling increments that can be booked during the active business hours for services.
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @option opts [DateTime] :request_end_time Filters results to times that end on or before this time on the current date. Any date provided is ignored..  &lt;br /&gt;Default: **23:59:59**
  # @option opts [Integer] :request_limit Number of results to include, defaults to 100
  # @option opts [Integer] :request_offset Page offset, defaults to 0.
  # @option opts [String] :request_schedule_type Filters on the provided the schedule type. Either &#x60;SessionTypeIds&#x60; or &#x60;ScheduleType&#x60; must be provided.
  # @option opts [Array<Integer>] :request_session_type_ids Filters on the provided session type IDs. Either &#x60;SessionTypeIds&#x60; or &#x60;ScheduleType&#x60; must be provided.
  # @option opts [DateTime] :request_start_time Filters results to times that start on or after this time on the current date. Any date provided is ignored.  &lt;br /&gt;Default: **00:00:00**
  # @return [GetActiveSessionTimesResponse]
  describe 'appointment_get_active_session_times test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for appointment_get_appointment_options
  # Get appointment-related settings.
  # This endpoint has no query parameters.
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @return [GetAppointmentOptionsResponse]
  describe 'appointment_get_appointment_options test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for appointment_get_bookable_items
  # Get staff appointment availability.
  # Returns a list of availabilities with the information needed to book appointments. Availabilities include information such as the location and its amenities, staff members, programs, and session types.
  # @param request_session_type_ids A list of the requested session type IDs.
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @option opts [Integer] :request_appointment_id If provided, filters out the appointment with this ID.
  # @option opts [DateTime] :request_end_date The end date of the requested date range.   &lt;br /&gt;Default: **StartDate**
  # @option opts [BOOLEAN] :request_ignore_default_session_length When &#x60;true&#x60;, availabilities that are non-default return, for example, a 30-minute availability with a 60-minute default session length.&lt;br /&gt;  When &#x60;false&#x60;, only availabilities that have the default session length return.
  # @option opts [Integer] :request_limit Number of results to include, defaults to 100
  # @option opts [Array<Integer>] :request_location_ids A list of the requested location IDs.
  # @option opts [Integer] :request_offset Page offset, defaults to 0.
  # @option opts [Array<Integer>] :request_staff_ids A list of the requested staff IDs.
  # @option opts [DateTime] :request_start_date The start date of the requested date range.   &lt;br /&gt;Default: **today’s date**
  # @return [GetBookableItemsResponse]
  describe 'appointment_get_bookable_items test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for appointment_get_schedule_items
  # Get appointment schedule.
  # Returns a list of schedule items, including appointments, availabilities, and unavailabilities. Unavailabilities are the times at which appointments cannot be booked, for example, on holidays or after hours when the business is closed.
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @option opts [DateTime] :request_end_date The end date of the requested date range.   &lt;br /&gt;Default: **today’s date**
  # @option opts [BOOLEAN] :request_ignore_prep_finish_times When &#x60;true&#x60;, appointment preparation and finish unavailabilities are not returned.   &lt;br /&gt;Default: **false**
  # @option opts [Integer] :request_limit Number of results to include, defaults to 100
  # @option opts [Array<Integer>] :request_location_ids A list of requested location IDs.
  # @option opts [Integer] :request_offset Page offset, defaults to 0.
  # @option opts [Array<Integer>] :request_staff_ids A list of requested staff IDs.
  # @option opts [DateTime] :request_start_date The start date of the requested date range.   &lt;br /&gt;Default: **today’s date**
  # @return [GetScheduleItemsResponse]
  describe 'appointment_get_schedule_items test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for appointment_get_staff_appointments
  # Get appointments grouped by staff member.
  # Returns a list of appointments by staff member.
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @option opts [Array<Integer>] :request_appointment_ids A list of the requested appointment IDs.
  # @option opts [Array<String>] :request_client_ids List of client IDs to be returned.
  # @option opts [DateTime] :request_end_date The end date of the requested date range.   &lt;br /&gt;Default: **StartDate**
  # @option opts [Integer] :request_limit Number of results to include, defaults to 100
  # @option opts [Array<Integer>] :request_location_ids A list of the requested location IDs.
  # @option opts [Integer] :request_offset Page offset, defaults to 0.
  # @option opts [Array<Integer>] :request_staff_ids List of staff IDs to be returned. Use a value of zero to return all staff appointments.
  # @option opts [DateTime] :request_start_date The start date of the requested date range. If omitted, the default is used.   &lt;br /&gt;Default: **today’s date**
  # @return [GetStaffAppointmentsResponse]
  describe 'appointment_get_staff_appointments test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for appointment_update_apppointment
  # Update an existing appointment.
  # To update the information for a specific appointment, you must have a staff user token with the proper permissions. Note that you can only update the appointment’s &#x60;StartDateTime&#x60;, &#x60;EndDateTime&#x60;, &#x60;StaffId&#x60;, &#x60;Notes&#x60;, and &#x60;SessionTypeId&#x60;.
  # @param request 
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @return [UpdateAppointmentResponse]
  describe 'appointment_update_apppointment test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
