=begin
#MINDBODY Public API

#No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

OpenAPI spec version: v6

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.6

=end

require 'spec_helper'
require 'json'

# Unit tests for SwaggerClient::ClassApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ClassApi' do
  before do
    # run before each test
    @instance = SwaggerClient::ClassApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ClassApi' do
    it 'should create an instance of ClassApi' do
      expect(@instance).to be_instance_of(SwaggerClient::ClassApi)
    end
  end

  # unit tests for class_add_client_to_class
  # Book a client into a class.
  # This endpoint adds a client to a class or to a class waiting list. It is helpful to use this endpoint in the following situations:  * Use after calling &#x60;GET Clients&#x60; and &#x60;GET Classes&#x60; so that you are sure which client to book in which class.  * If adding a client to a class from a waiting list, use this call after you call &#x60;GET WaitlistEntries&#x60; and determine the ID of the waiting list from which you are moving the client.  * If adding a client to a class and using a pricing option that the client has already purchased, use this call after you call &#x60;GET ClientServices&#x60; to determine the ID of the pricing option that the client wants to use.    If you add a client to a class and the client purchases a new pricing option, use &#x60;GET Services&#x60;, &#x60;GET Classes&#x60;, and then &#x60;POST CheckoutShoppingCart&#x60; in place of this call.    This endpoint also supports cross-regional class bookings. If you want to perform a cross-regional class booking, set &#x60;CrossRegionalBooking&#x60; to &#x60;true&#x60;. This endpoint does not support adding a user to a waiting list using a cross-regional client pricing option(service). Cross-regional booking workflows do not support client service scheduling restrictions.    When performing a cross-regional class booking, this endpoint loops through the first ten sites that the client is associated with, looks for client pricing options at each of those sites, and then uses the oldest client pricing option found.It is important to note that this endpoint only loops through a maximum of ten associated client sites. If a &#x60;ClientID&#x60; is associated with more than ten sites in an organization, this endpoint only loops through the first ten.If you know that a client has a client service at another site, you can specify that site using the &#x60;CrossRegionalBookingClientServiceSiteId&#x60; query parameter.    If you perform a cross-regional booking, two additional fields are included in the &#x60;SessionType&#x60; object of the response:  * &#x60;SiteID&#x60;, which specifies where the client service is coming from  * &#x60;CrossRegionalBookingPerformed&#x60;, a Boolean field that is set to &#x60;true&#x60;    As a prerequisite to using this endpoint, your &#x60;SourceName&#x60; must have been granted access to the organization to which the site belongs.
  # @param request 
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @return [AddClientToClassResponse]
  describe 'class_add_client_to_class test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for class_get_class_descriptions
  # Get class descriptions.
  # To find class descriptions associated with **scheduled classes**, pass &#x60;StaffId&#x60;, &#x60;StartClassDateTime&#x60;, &#x60;EndClassDateTime&#x60;, or &#x60;LocationId&#x60; in the request.
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @option opts [Integer] :request_class_description_id Filters to the single result with the given ID.
  # @option opts [DateTime] :request_end_class_date_time Filters the results to class descriptions for scheduled classes that happen before the given date and time.
  # @option opts [Integer] :request_limit Number of results to include, defaults to 100
  # @option opts [Integer] :request_location_id Filters results to classes descriptions for schedule classes as the given location.
  # @option opts [Integer] :request_offset Page offset, defaults to 0.
  # @option opts [Array<Integer>] :request_program_ids Filters results to class descriptions belonging to the given programs.
  # @option opts [Integer] :request_staff_id Filters results to class descriptions for scheduled classes taught by the given staff member.
  # @option opts [DateTime] :request_start_class_date_time Filters the results to class descriptions for scheduled classes that happen on or after the given date and time.
  # @return [GetClassDescriptionsResponse]
  describe 'class_get_class_descriptions test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for class_get_class_schedules
  # Get class schedules.
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @option opts [Array<Integer>] :request_class_schedule_ids The class schedule IDs.  &lt;br /&gt;Default: **all**
  # @option opts [DateTime] :request_end_date The end date of the range. Return any active enrollments that occur on or before this day.  &lt;br /&gt;Default: **StartDate**
  # @option opts [Integer] :request_limit Number of results to include, defaults to 100
  # @option opts [Array<Integer>] :request_location_ids The location IDs.   &lt;br /&gt;Default: **all**
  # @option opts [Integer] :request_offset Page offset, defaults to 0.
  # @option opts [Array<Integer>] :request_program_ids The program IDs.   &lt;br /&gt;Default: **all**
  # @option opts [Array<Integer>] :request_session_type_ids The session type IDs.   &lt;br /&gt;Default: **all**
  # @option opts [Array<Integer>] :request_staff_ids The staff IDs.   &lt;br /&gt;Default: **all**
  # @option opts [DateTime] :request_start_date The start date of the range. Return any active enrollments that occur on or after this day.  &lt;br /&gt;Default: **today’s date**
  # @return [GetClassSchedulesResponse]
  describe 'class_get_class_schedules test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for class_get_class_visits
  # Get information about clients booked in a class.
  # Returns a list of visits that contain information for a specified class. On success, this request returns the class object in the response with a list of visits.
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @option opts [Integer] :request_class_id The class ID.
  # @option opts [DateTime] :request_last_modified_date When included in the request, only records modified on or after the &#x60;LastModifiedDate&#x60; specified are included in the response.
  # @return [GetClassVisitsResponse]
  describe 'class_get_class_visits test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for class_get_classes
  # Get scheduled classes.
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @option opts [Array<Integer>] :request_class_description_ids The requested class description IDs.
  # @option opts [Array<Integer>] :request_class_ids The requested class IDs.
  # @option opts [String] :request_client_id The client ID of the client who is viewing this class list. Based on identity, the client may be able to see additional information, such as membership specials.
  # @option opts [DateTime] :request_end_date_time The requested end date for filtering.  &lt;br /&gt;Default: **today’s date**
  # @option opts [BOOLEAN] :request_hide_canceled_classes When &#x60;true&#x60;, canceled classes are removed from the response.&lt;br /&gt;  When &#x60;false&#x60;, canceled classes are included in the response.&lt;br /&gt;  Default: **false**
  # @option opts [DateTime] :request_last_modified_date When included in the request, only records modified on or after the &#x60;LastModifiedDate&#x60; specified are included in the response.
  # @option opts [Integer] :request_limit Number of results to include, defaults to 100
  # @option opts [Array<Integer>] :request_location_ids A list of location IDs on which to base the search.
  # @option opts [Integer] :request_offset Page offset, defaults to 0.
  # @option opts [Array<Integer>] :request_program_ids A list of program IDs on which to base the search.
  # @option opts [BOOLEAN] :request_scheduling_window When &#x60;true&#x60;, classes outside scheduling window are removed from the response.&lt;br /&gt;  When &#x60;false&#x60;, classes are included in the response, regardless of the scheduling window.&lt;br /&gt;  Default: **false**
  # @option opts [Array<Integer>] :request_semester_ids A list of semester IDs on which to base the search.
  # @option opts [Array<Integer>] :request_session_type_ids A list of session type IDs on which to base the search.
  # @option opts [Array<Integer>] :request_staff_ids The requested IDs of the teaching staff members.
  # @option opts [DateTime] :request_start_date_time The requested start date for filtering.   &lt;br /&gt;Default: **today’s date**
  # @return [GetClassesResponse]
  describe 'class_get_classes test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for class_get_waitlist_entries
  # Get waiting list entries.
  # Returns a list of waiting list entries for a specified class schedule or class. The request requires staff credentials and either a class schedule ID or class ID.
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @option opts [Array<Integer>] :request_class_ids The requested class IDs. If a class ID is present, the request automatically disregards any class schedule IDs in the request. &lt;br /&gt;  Either &#x60;ClassScheduleIds&#x60;, &#x60;ClientIds&#x60;, &#x60;WaitlistEntryIds&#x60;, or &#x60;ClassIds&#x60; is required; the others become optional.&lt;br /&gt;  Default: **all ClassIds**
  # @option opts [Array<Integer>] :request_class_schedule_ids The requested class schedule IDs. If a class ID is present, the request automatically disregards any class schedule IDs in the request.&lt;br /&gt;  Either &#x60;ClassScheduleIds&#x60;, &#x60;ClientIds&#x60;, &#x60;WaitlistEntryIds&#x60;, or &#x60;ClassIds&#x60; is required; the others become optional.&lt;br /&gt;  Default: **all ClassScheduleIds**
  # @option opts [Array<String>] :request_client_ids The requested client IDs.&lt;br /&gt;  Either &#x60;ClassScheduleIds&#x60;, &#x60;ClientIds&#x60;, &#x60;WaitlistEntryIds&#x60;, or &#x60;ClassIds&#x60; is required; the others become optional.&lt;br /&gt;  Default: **all ClientIds**
  # @option opts [BOOLEAN] :request_hide_past_entries When &#x60;true&#x60;, indicates that past waiting list entries are hidden from clients.&lt;br /&gt;  When &#x60;false&#x60;, indicates that past entries are not hidden from clients.&lt;br /&gt;  Default: **false**
  # @option opts [Integer] :request_limit Number of results to include, defaults to 100
  # @option opts [Integer] :request_offset Page offset, defaults to 0.
  # @option opts [Array<Integer>] :request_waitlist_entry_ids The requested waiting list entry IDs.&lt;br /&gt;  Either &#x60;ClassScheduleIds&#x60;, &#x60;ClientIds&#x60;, &#x60;WaitlistEntryIds&#x60;, or &#x60;ClassIds&#x60; is required; the others become optional.&lt;br /&gt;  Default: **all WaitlistEntryIds**
  # @return [GetWaitlistEntriesResponse]
  describe 'class_get_waitlist_entries test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for class_remove_client_from_class
  # Remove a client from a class.
  # @param request 
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @return [RemoveClientFromClassResponse]
  describe 'class_remove_client_from_class test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for class_remove_from_waitlist
  # Remove a client from a waiting list.
  # This endpoint does not return a response. If a call to this endpoint results in a 200 OK HTTP status code, then the call was successful.
  # @param request_waitlist_entry_ids A list of waiting list IDs to remove from waiting lists.
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @return [RemoveFromWaitlistResponse]
  describe 'class_remove_from_waitlist test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for class_substitute_class_teacher
  # Substitute a class teacher.
  # @param request 
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @return [SubstituteClassTeacherResponse]
  describe 'class_substitute_class_teacher test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
