=begin
#MINDBODY Public API

#No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

OpenAPI spec version: v6

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.6

=end

require 'spec_helper'
require 'json'

# Unit tests for SwaggerClient::PayrollApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'PayrollApi' do
  before do
    # run before each test
    @instance = SwaggerClient::PayrollApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of PayrollApi' do
    it 'should create an instance of PayrollApi' do
      expect(@instance).to be_instance_of(SwaggerClient::PayrollApi)
    end
  end

  # unit tests for payroll_get_class_payroll
  # Get class payroll for staff members.
  # A staff authorization token is not required for this endpoint, but if one is passed, its permissions are honored. Depending on the access permissions configured for the staff member whose token is passed, the endpoint returns either only the payroll information for that staff member or it returns the payroll information for all staff members.    Note that if a staff member is not paid for a class, earnings of zero are returned by this endpoint.    Note that this endpoint calculates both bonus and no-reg rates for assistants.These rates are not supported by the Payroll report in the web interface.    Note that this endpoint returns both the teacher’s adjusted rate and the assistant’s pay rate when the assistant is paid by the teacher.The Payroll report in the web interface only returns the teacher’s adjusted rate.
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @option opts [DateTime] :request_end_date_time The end of the date range for the payroll information to be returned. The maximum allowed date range is 14 days.&lt;br /&gt;  Default: **Today’s date**  * If you do not supply an &#x60;EndDateTime&#x60;, the data returns for the period from the &#x60;StartDateTime&#x60; that you supply to today’s date.  * If you do not supply an &#x60;EndDateTime&#x60; or a &#x60;StartDateTime&#x60;, data returns for the seven days prior to today’s date.
  # @option opts [BOOLEAN] :request_include_inactive_staff When &#x60;true&#x60;, payroll information returns for both active and inactive staff members.&lt;br /&gt;  Default: **false**
  # @option opts [Integer] :request_limit Number of results to include, defaults to 100
  # @option opts [Integer] :request_offset Page offset, defaults to 0.
  # @option opts [Integer] :request_staff_id A list of staff IDs that you want to retrieve payroll information for. If you do not supply a &#x60;StaffId&#x60;, all active staff members return, ordered by staff ID.
  # @option opts [DateTime] :request_start_date_time The beginning of the date range for the payroll information to be returned. The maximum allowed date range is 14 days.  * If you do not supply a &#x60;StartDateTime&#x60;, data returns for the seven days prior to the &#x60;EndDateTime&#x60; that you supply.  * If you do not supply either a &#x60;StartDateTime&#x60; or an &#x60;EndDateTime&#x60;, the data returns for seven days prior to today’s date.
  # @return [GetClassPayrollResponse]
  describe 'payroll_get_class_payroll test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for payroll_get_time_clock
  # Get time card payroll for staff members.
  # @param site_id ID of the site from which to pull data.
  # @param version 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :authorization A staff user authorization token.
  # @option opts [DateTime] :request_end_date_time The end of the date range for the time card information to be returned. If you do not supply an &#x60;EndDateTime&#x60;, data returns for the seven days prior to today’s date. Classes that begin before the &#x60;EndDateTime&#x60; are included in the response, regardless of the time that the class ends. The maximum allowed date range is 14 days.&lt;br /&gt;  Default: **Today’s date**
  # @option opts [BOOLEAN] :request_include_inactive_staff When &#x60;true&#x60;, payroll information returns for both active and inactive staff members.&lt;br /&gt;  Default: **false**
  # @option opts [Integer] :request_limit Number of results to include, defaults to 100
  # @option opts [Integer] :request_offset Page offset, defaults to 0.
  # @option opts [Integer] :request_staff_id The staff ID for whom you want to retrieve time card information. If you do not supply a &#x60;StaffId&#x60;, all active staff members return, ordered by staff ID.
  # @option opts [DateTime] :request_start_date_time The beginning of the date range for the time card information to be returned. If you do not supply a &#x60;StartDateTime&#x60;, data returns for the seven days prior to the &#x60;EndDateTime&#x60; that you supply. The maximum allowed date range is 14 days.
  # @return [GetTimeClockResponse]
  describe 'payroll_get_time_clock test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
